Projects API
Actions in the projects namespace of the Nexigon Hub API.
projects_Query
POST /api/v1/actions/invoke/projects_Query Query the projects of the instance.
Request QueryProjectsAction
No fields.
Response QueryProjectsOutput
Fields (JSON object)
projectsrequiredList of projects.
array<QueryProjectsItem>
Items
QueryProjectsItem
Fields (JSON object)
projectId(fromproject_id) requiredID of the project.
ProjectId
stringnamerequiredName of the project.
string
projects_GetDetails
POST /api/v1/actions/invoke/projects_GetDetails Get information about a project.
Request GetProjectDetailsAction
Fields (JSON object)
projectId(fromproject_id) requiredID of the project.
ProjectId string
Response GetProjectDetailsOutput
Fields (JSON object)
projectId(fromproject_id) requiredID of the project.
ProjectId stringnamerequiredName of the project.
string deviceCount(fromdevice_count) requiredNumber of devices in the project.
integer
projects_SetName
POST /api/v1/actions/invoke/projects_SetName Set the name of a project.
Request SetProjectNameAction
Fields (JSON object)
projectId(fromproject_id) requiredID of the project.
ProjectId stringnamerequiredNew name of the project.
string
Response Empty
No fields.
projects_Create
POST /api/v1/actions/invoke/projects_Create Create a new project.
Request CreateProjectAction
Fields (JSON object)
organizationId(fromorganization_id) requiredOrganization to create the project in.
OrganizationId stringnamerequiredName of the project.
string
Response CreateProjectOutput
Cases
internally
β tag field result
Created{ "result": "Created", ...<payload fields> } β or "content" for non-object payloadsCreateProjectSuccess
Fields (JSON object)
projectId(fromproject_id) requiredID of the project.
ProjectId
string
projects_Delete
POST /api/v1/actions/invoke/projects_Delete Delete a project.
Request DeleteProjectAction
Fields (JSON object)
projectId(fromproject_id) requiredID of the project.
ProjectId string
Response Empty
No fields.
projects_QueryDevices
POST /api/v1/actions/invoke/projects_QueryDevices Query the devices of a project.
Request QueryProjectDevicesAction
Fields (JSON object)
projectId(fromproject_id) requiredID of the project.
ProjectId string
Response QueryProjectDevicesOutput
Fields (JSON object)
devicesrequiredList of devices.
array<QueryProjectDevicesItem>
Items
QueryProjectDevicesItem
Fields (JSON object)
deviceId(fromdevice_id) requiredID of the device.
DeviceId
stringnameoptionalName of the device.
string
hostnameoptionalHostname reported by the device (from
dev.nexigon.system.info).string
firstSeen(fromfirst_seen) requiredTimestamp when the device was first seen.
Timestamp
stringstatusrequiredCombined device status (connection + health).
DeviceStatus
Cases externally
Healthyβ"healthy"Device is healthy and connected.
Value: "healthy"Warningβ"warning"Device is connected but experiencing degraded performance.
Value: "warning"Errorβ"error"Device is connected but in an error state.
Value: "error"Offlineβ"offline"Device is not connected.
Value: "offline"
isConnected(fromis_connected) requiredIndicates whether the device is online.
boolean
pendingCertificatesCount(frompending_certificates_count) requiredPending device certificates.
integer
lastConnectedAt(fromlast_connected_at) optionalTimestamp when the device was last connected (current or most recent connection).
Timestamp
stringcurrentConnectionDurationSecs(fromcurrent_connection_duration_secs) optionalDuration of the current connection in seconds (null if not connected).
integer
projects_QueryDeploymentTokens
POST /api/v1/actions/invoke/projects_QueryDeploymentTokens Query the deployment tokens of a project.
Request QueryProjectDeploymentTokensAction
Fields (JSON object)
projectId(fromproject_id) requiredID of the project.
ProjectId string
Response QueryProjectDeploymentTokensOutput
Fields (JSON object)
tokensrequiredList of deployment tokens.
array<QueryProjectDeploymentTokensItem>
Items
QueryProjectDeploymentTokensItem
Fields (JSON object)
tokenId(fromtoken_id) requiredID of the token.
DeploymentTokenId
stringcreatedAt(fromcreated_at) requiredCreation date of the token.
Timestamp
stringnameoptionalName of the token.
string
flagsrequiredFlags.
DeploymentTokenFlags
Fields (JSON object)
autoAccept(fromauto_accept) optionalWhether to automatically accept new devices.
boolean
projects_QueryLinkedRepositories
POST /api/v1/actions/invoke/projects_QueryLinkedRepositories Query repositories of a project.
Request QueryProjectRepositoriesAction
Fields (JSON object)
projectId(fromproject_id) requiredID of the project.
ProjectId string
Response QueryProjectRepositoriesOutput
Fields (JSON object)
repositoriesrequiredList of repositories.
array<QueryProjectRepositoriesItem>
Items
QueryProjectRepositoriesItem
Fields (JSON object)
repositoryId(fromrepository_id) requiredID of the repository.
RepositoryId
stringpublicName(frompublic_name) requiredPublic name of the repository.
string
displayName(fromdisplay_name) optionalDisplay name of the repository (if any).
string
projects_CreateDeploymentToken
POST /api/v1/actions/invoke/projects_CreateDeploymentToken Create a deployment token.
Request CreateDeploymentTokenAction
Fields (JSON object)
projectId(fromproject_id) requiredID of the project.
ProjectId stringnamerequiredName of the token.
string flagsoptionalFlags.
DeploymentTokenFlags
Fields (JSON object)
autoAccept(fromauto_accept) optionalWhether to automatically accept new devices.
boolean
Response CreateDeploymentTokenOutput
Fields (JSON object)
tokenId(fromtoken_id) requiredID of the token.
DeploymentTokenId stringtokenrequiredToken.
DeploymentToken string
projects_DeleteDeploymentToken
POST /api/v1/actions/invoke/projects_DeleteDeploymentToken Delete a deployment token.
Request DeleteDeploymentTokenAction
Fields (JSON object)
tokenId(fromtoken_id) requiredID of the token.
DeploymentTokenId string
Response Empty
No fields.
projects_SetDeploymentTokenFlags
POST /api/v1/actions/invoke/projects_SetDeploymentTokenFlags Set the flags of a deployment token.
Request SetDeploymentTokenFlagsAction
Fields (JSON object)
tokenId(fromtoken_id) requiredID of the token.
DeploymentTokenId stringflagsrequiredFlags.
DeploymentTokenFlags
Fields (JSON object)
autoAccept(fromauto_accept) optionalWhether to automatically accept new devices.
boolean
Response Empty
No fields.
projects_QueryAuditLog
POST /api/v1/actions/invoke/projects_QueryAuditLog Query the audit log of the project.
Request QueryAuditLogEventsAction
Fields (JSON object)
projectId(fromproject_id) requiredID of the project.
ProjectId string
Response QueryAuditLogEventsOutput
Fields (JSON object)
eventsrequiredList of audit log events.
array<AuditLogEvent>
Items
AuditLogEvent
Fields (JSON object)
eventId(fromevent_id) requiredID of the audit log event.
AuditLogEventId
stringactorrequiredActor causing the event.
Actor
Cases internally β tag field
actorAnonymousAn anonymous, unauthenticated actor.
{ "actor": "Anonymous", ...<payload fields> } β or "content" for non-object payloadsAnonymousActor
No fields.
SystemThe system itself, typically used for internal actions.
{ "actor": "System", ...<payload fields> } β or "content" for non-object payloadsSystemActor
No fields.
DeviceA device authenticated via a specific deployment token.
{ "actor": "Device", ...<payload fields> } β or "content" for non-object payloadsDeviceActor
Fields (JSON object)
deviceId(fromdevice_id) requiredID of the device.
DeviceId
stringtokenId(fromtoken_id) requiredID of the deployment token used for authentication.
DeploymentTokenId
string
UserA user typically authenticated via a user session.
{ "actor": "User", ...<payload fields> } β or "content" for non-object payloadsUserActor
Fields (JSON object)
userId(fromuser_id) requiredID of the user.
UserId
string
UserTokenA user authenticated via a specific token.
{ "actor": "UserToken", ...<payload fields> } β or "content" for non-object payloadsUserTokenActor
Fields (JSON object)
userId(fromuser_id) requiredID of the user.
UserId
stringtokenId(fromtoken_id) requiredID of the user token used for authentication.
UserTokenId
string
ClusterNodeA cluster node.
{ "actor": "ClusterNode", ...<payload fields> } β or "content" for non-object payloadsClusterNodeActor
Fields (JSON object)
nodeId(fromnode_id) requiredID of the cluster node.
ClusterNodeId
string
OrganizationApiTokenAn organization API token.
{ "actor": "OrganizationApiToken", ...<payload fields> } β or "content" for non-object payloadsOrganizationApiTokenActor
Fields (JSON object)
organizationId(fromorganization_id) requiredID of the organization.
OrganizationId
stringtokenId(fromtoken_id) requiredID of the API token.
OrganizationApiTokenId
string
eventrequiredType of the event that was recorded.
string
datarequiredAdditional audit data associated with the event.
JsonValue
anycreatedAt(fromcreated_at) requiredTimestamp indicating when the audit log event was recorded.
Timestamp
stringactionoptionalAction the event has been caused by (if any).
AuditLogEventAction
Fields (JSON object)
actionId(fromaction_id) requiredID of the action.
AuditLogActionId
string
joboptionalJob the event has been caused by (if any).
AuditLogEventJob
Fields (JSON object)
jobId(fromjob_id) requiredID of the job.
JobId
string
projects_LinkRepository
POST /api/v1/actions/invoke/projects_LinkRepository Add a repository to the project.
Request AddProjectRepositoryAction
Fields (JSON object)
projectId(fromproject_id) requiredID of the project.
ProjectId stringrepositoryId(fromrepository_id) requiredID of the repository.
RepositoryId string
Response Empty
No fields.
projects_UnlinkRepository
POST /api/v1/actions/invoke/projects_UnlinkRepository Remove a repository from the project.
Request RemoveProjectRepositoryAction
Fields (JSON object)
projectId(fromproject_id) requiredID of the project.
ProjectId stringrepositoryId(fromrepository_id) requiredID of the repository.
RepositoryId string
Response Empty
No fields.
projects_GetOtlpConfig
POST /api/v1/actions/invoke/projects_GetOtlpConfig Get the OTLP event forwarding configuration for a project.
Request GetProjectOtlpConfigAction
Fields (JSON object)
projectId(fromproject_id) requiredID of the project.
ProjectId string
Response GetProjectOtlpConfigOutput
Fields (JSON object)
configrequiredOTLP configuration.
ProjectOtlpConfig
Fields (JSON object)
enabledrequiredWhether OTLP forwarding is enabled.
boolean
endpointoptionalOTLP endpoint URL (e.g., https://otel-collector.example.com/v1/logs).
string
headersrequiredHTTP headers to include with OTLP requests (e.g., for authentication). Values are masked when read back.
object<string, string>
Keys
string
Values
string
projects_SetOtlpConfig
POST /api/v1/actions/invoke/projects_SetOtlpConfig Set the OTLP event forwarding configuration for a project.
Request SetProjectOtlpConfigAction
Fields (JSON object)
projectId(fromproject_id) requiredID of the project.
ProjectId stringconfigrequiredOTLP configuration.
ProjectOtlpConfig
Fields (JSON object)
enabledrequiredWhether OTLP forwarding is enabled.
boolean
endpointoptionalOTLP endpoint URL (e.g., https://otel-collector.example.com/v1/logs).
string
headersrequiredHTTP headers to include with OTLP requests (e.g., for authentication). Values are masked when read back.
object<string, string>
Keys
string
Values
string
Response Empty
No fields.